Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This morning I upgraded my Xubuntu to 12.04.

The virtualenv has moved up a version, and now bundles pip and I've had to rearrange some scripts to cope with this and rebuild my virtualenvs.

MySQL dbapi is now giving me strange errors. It can only create InnoDB tables; if you try an create MyISAM tables (from Python code), it raises:

NotSupportedError: (1286, "Unknown storage engine 'MyIASM'")

When I run the mysql command-line program itself, its happy to create both InnoDB and MyISAM tables.

What is configured wrongly and how do I fix this?

share|improve this question
    
Maybe just a typo :) MyISAM, not MyIASM –  Ewan Heming Jun 7 '12 at 12:56
    
@EwanHeming indeed you were correct. –  Will Jun 14 '12 at 7:54

1 Answer 1

up vote 0 down vote accepted

Indeed a typo.

On some platforms and with some client libraries (I guess its a warning level setting), unrecognised engine types silently default to the default table type.

Ouch.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.